// import Vue from "vue"
import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import '@csstools/normalize.css';
// import '@mdi/font/css/materialdesignicons.css'
import './assets/main.scss'

// var decomp = require('poly-decomp');
// window.decomp = decomp;

import VuePlyr from 'vue-plyr'
import 'vue-plyr/dist/vue-plyr.css'

// import * as Sentry from "@sentry/browser";
// import * as Integrations from "@sentry/integrations";

// Sentry.init({
//   dsn: "https://d1780f9da2fc4dd28c9c17cb344a088f@frontlog.figli.io/2",
//   integrations: [new Integrations.Vue()],
// });
import * as Sentry from "@sentry/vue";
import { createSentryPiniaPlugin } from "@sentry/vue";


const app = createApp(App)

Sentry.init({
  app,
  dsn: "https://d1780f9da2fc4dd28c9c17cb344a088f@frontlog.figli.io/2",
  integrations: [
    Sentry.browserTracingIntegration({ router }),
  ],
  tracesSampleRate: 0.01,
  normalizeDepth: 10, // Or however deep you want your state context to be.
  environment: "prod",
  // release : '1'
  release: __SENTRY_RELEASE__
});

const pinia = createPinia()
pinia.use( ({store}) => { store.router = router } )
pinia.use(createSentryPiniaPlugin());

app.use(pinia)
app.use(router)
// app.use(VueCollapsiblePanel)
app.use(VuePlyr, {
  plyr: {}
})
app.mount('#app')

// Sentry.captureMessage("sentry vue is working", "info");